Subject: RE: [Sipping] config framework - "document" and "app-id" parameters

From: Simonetti Gabrielle <[email-masked]>
Date: Mon, 08 Nov 2004 19:20:46 +0100

> > 
> > Not sure I see why we need both document and app-id
> > - I may be very confused
> > here
> 
> I may be as well, but I will attempt to explain.
> The document parameter may contain a relative path.
> It the first path segment can be either global or
> a user specific id.  If that is as far as the path
> is specified, app-id may be used to further constrain
> what profile data is desired.

Reading the configuration framework draft, I understand that the "document" parameter is meant to contain the URI for a specific profile document, while the "app-id" parameter is meant to contain an application *token* (when the profile-type is set to "application"). The use of tokens allows the URI semantics to be opaque to the UA. However, the framework could be more specific on how these tokens are to be defined. I believe that they have to be understood by the application profile delivery server, so it could be the ASP's role to define them, in the case of proprietary services. For more general services, the tokens should be defined maybe by the IANA.

Another question: what's the use of the "profile-type" parameter when the "document" parameter already contains the URI of the document in which the UA is interested?

Gabrielle

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP